## CORBA Event Interface ILanguageLogEvent

SAS language log event interface.

### Definition

CORBA Module SASEvents

### ILanguageLogEvent Description

CORBA Definitions
method AbortLogLines |
method AbortListLines |
method StepLogLines |
method StepListLines |

Java Classes
ILanguageLogEventHelper | Used to manipulate the ILanguageLogEvent type
ILanguageLogEventHolder | Used to process the ILanguageLogEvent type as an out parameter

Java Interfaces
ILanguageLogEvent | SAS language log event interface.

Java Interface ILanguageLogEvent

SAS language log event interface.

Package com.sas.iom.SASEvents

ILanguageLogEvent Description

`public interface ILanguageLogEvent
extends org.omg.CORBA.Object`

Method Summary

void | AbortLogLines ( CarriageControl[] carriageControls , LineType[] lineTypes , java.lang.String[] logLines ) throws ( GenericError );
void | AbortListLines ( CarriageControl[] carriageControls , LineType[] lineTypes , java.lang.String[] listLines ) throws ( GenericError );
void | StepLogLines ( CarriageControl[] carriageControls , LineType[] lineTypes , java.lang.String[] logLines ) throws ( GenericError );
void | StepListLines ( CarriageControl[] carriageControls , LineType[] lineTypes , java.lang.String[] listLines ) throws ( GenericError );

Java Class ILanguageLogEventHelper

public class ILanguageLogEventHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the ILanguageLogEvent type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.ILanguageLogEventHelper

Java Class ILanguageLogEventHolder

public class ILanguageLogEventHolder

Description
Implementing class for methods (_read, _write, _type) used to process the ILanguageLogEvent type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.ILanguageLogEventHolder

CORBA Method AbortLogLines

Description

Usage

Java Method AbortLogLines

`void` AbortLogLines (

        CarriageControl[] carriageControls ,
        LineType[] lineTypes ,
        java.lang.String[] logLines
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
carriageControls | in | CarriageControl[] |
lineTypes | in | LineType[] |
logLines | in | java.lang.String[] |

Example

CORBA Method AbortListLines

Description

Usage

Java Method AbortListLines

`void` AbortListLines (

        CarriageControl[] carriageControls ,
        LineType[] lineTypes ,
        java.lang.String[] listLines
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
carriageControls | in | CarriageControl[] |
lineTypes | in | LineType[] |
listLines | in | java.lang.String[] |

Example

CORBA Method StepLogLines

Description

Usage

Java Method StepLogLines

`void` StepLogLines (

        CarriageControl[] carriageControls ,
        LineType[] lineTypes ,
        java.lang.String[] logLines
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
carriageControls | in | CarriageControl[] |
lineTypes | in | LineType[] |
logLines | in | java.lang.String[] |

Example

CORBA Method StepListLines

Description

Usage

Java Method StepListLines

`void` StepListLines (

        CarriageControl[] carriageControls ,
        LineType[] lineTypes ,
        java.lang.String[] listLines
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
carriageControls | in | CarriageControl[] |
lineTypes | in | LineType[] |
listLines | in | java.lang.String[] |

Example